@import url(font-awesome.min.css);
@import url(wheel.css);
@import url(sweetalert2.min.css);
a.nav-link>i.fa,
a>i.fa,
button>i.fa,
div>i.fa,
span>i.fa,
td>i.fa {
    margin-right: 3px
}

#give-away>i.fa {
    margin-right: 7px
}

h3>i.fa,
h5>i.fa {
    margin-right: 6px
}

.alert.hide,
.hide {
    display: none
}

a[data-toggle=collapse] {
    color: #000
}

a[data-toggle=collapse]:hover {
    color: #000;
    text-decoration: none
}

a {
    text-decoration: none !important
}

#accordion>.card>.card-header>h5 {
    font-size: 18px
}

.game-img {
    width: 125px !important
}

.game-img-wrapper {
    margin: 15px
}

.game-card {
    margin-bottom: 14px
}

.game-box>img {
    transition: .2s ease all
}

.game-box:hover>img {
    transform: scale(.8);
    cursor: pointer
}

.progress-bar {
    transition: .4s ease all
}

td {
    vertical-align: middle !important;
    /* padding: 1rem; */
    text-align: center;
}

.shake {
    animation: shake .5s;
    animation-iteration-count: infinite
}

img.xcard-img {
    width: 175px
}

img.xcard-img:not([data-card]) {
    cursor: not-allowed
}

.swal2-title {
    font-family: Kanit, sans-serif
}

.random {
    display: none;
    overflow: hidden;
    width: 690px;
    height: 250px;
    z-index: 100;
    position: relative;
    background-color: rgba(45, 45, 45, .8);
    background: linear-gradient(90deg, rgba(0, 0, 0, .8) 30%, rgba(0, 0, 0, .85) 80%)
}

.rand-inv {
    width: 265px;
    height: 210px;
    background: linear-gradient(90deg, rgba(51, 49, 52, .94) 30%, #353535 80%)
}

.rand-inv>#random-container {
    margin-top: 0 !important
}

.rand-inv>#random-container>.item {
    width: 200px !important;
    height: 200px !important
}

.random>#random-container {
    z-index: 150px;
    position: absolute;
    margin-top: 25px;
    left: 800px;
    width: 10000%;
    transition: transform 9.5s cubic-bezier(.31, .9985, .31, .9985)
}

.random>#random-container>.item {
    margin: 10px;
    float: left;
    width: 180px;
    height: 180px
}

.random>#random-container>.item>.content>img {
    width: 100%;
    max-width: 192px;
    max-height: 192px
}

.random>#random-center {
    position: absolute;
    z-index: 999;
    left: calc(50% - 1.5px);
    width: 3px;
    height: 260px;
    background: #fff
}

.random_roulette {
    background-color: rgba(0, 0, 0, .8);
    background: linear-gradient(90deg, rgba(0, 0, 0, .83) 30%, rgba(0, 0, 0, .72) 80%);
    height: 150px;
    border-radius: 5px
}

.random_roulette>#random-container>.item {
    margin: 0;
    width: 100px;
    height: 100px
}

.random_roulette>#random-container {
    margin-top: 25px
}

.random_roulette>#random-center {
    position: absolute;
    z-index: 999;
    left: calc(50% - 1.5px);
    width: 1px;
    height: 260px;
    background: #fff
}

.btn-group.special {
    display: flex
}

.special .btn {
    flex: 1
}

.random_roulette>#random-container>.item>.content>img {
    width: 100%;
    max-width: 192px;
    max-height: 192px;
    border-radius: 50%;
    box-shadow: 5px 5px 5px #0000003d
}

.s_roulette img {
    width: 50px;
    height: 50px
}

.r_black {
    filter: grayscale(100%)
}

.r_green {
    filter: hue-rotate(175deg)
}

.slots_container {
    background: #333;
    border-radius: .2em;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    width: 100%
}

.slot_display {
    background: #fff;
    border-radius: .2em;
    margin: 1%;
    width: 18vw;
    height: 18vw;
    max-width: 200px;
    max-height: 200px;
    overflow: hidden
}

.slot_display>div>img {
    width: 100%;
    padding: 15px
}

.coin-slot {
    margin-bottom: 15px;
    display: flex
}

.coin-slot>div {
    flex-grow: 1;
    border: 1px solid #eee;
    padding: 10px;
    font-size: 32px;
    border-radius: 4px;
    margin: 5px;
    text-align: center
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0)
    }
    10% {
        transform: translate(-1px, -2px) rotate(-1deg)
    }
    20% {
        transform: translate(-3px, 0) rotate(1deg)
    }
    30% {
        transform: translate(3px, 2px) rotate(0)
    }
    40% {
        transform: translate(1px, -1px) rotate(1deg)
    }
    50% {
        transform: translate(-1px, 2px) rotate(-1deg)
    }
    60% {
        transform: translate(-3px, 1px) rotate(0)
    }
    70% {
        transform: translate(3px, 1px) rotate(-1deg)
    }
    80% {
        transform: translate(-1px, -1px) rotate(1deg)
    }
    90% {
        transform: translate(1px, 2px) rotate(0)
    }
    100% {
        transform: translate(1px, -2px) rotate(-1deg)
    }
}

.ui-widget.ui-widget-content {
    top: 30% !important
}

.ui-button {
    color: #fff !important;
    border-color: #ff5c62 !important;
    box-shadow: 0 2px 12px -6px #cc292f !important;
    background-color: #ff5c62 !important
}

.ui-dialog .ui-dialog-buttonpane button {
    font-size: .92rem;
    margin: .5em .4em .5em 0;
    cursor: pointer;
    background: red;
    border-radius: 4px !important
}

.ui-widget-header {
    border: 1px solid #343a40 !important;
    background: #343a40 !important;
    color: #fff !important;
    font-weight: 400 !important;
    font-size: 1rem !important
}

.ui-dialog-titlebar-close {
    display: none !important
}

.ui-corner-all,
.ui-corner-bottom,
.ui-corner-br,
.ui-corner-right {
    border-bottom-right-radius: 0 !important
}

.ui-corner-all,
.ui-corner-bl,
.ui-corner-bottom,
.ui-corner-left {
    border-bottom-left-radius: 0 !important
}

.ui-dialog {
    padding: 0 !important;
    box-shadow: 1px 0 9px #989898
}

.ui-widget.ui-widget-content {
    border: 1px solid #343a40 !important
}

#tmtopup_payment_alert {
    background-color: #343a40 !important;
    opacity: 1 !important;
    font-size: 14px !important
}

.ui-dialog .ui-dialog-buttonpane {
    padding: .1em 1em .1em .4em !important
}

#tmtopup_payment_confirm p>span {
    color: #ff5c62 !important
}

.inbox_people {
    background: #f8f8f8 none repeat scroll 0 0;
    float: left;
    overflow: hidden;
    width: 40%;
    border-right: 1px solid #c4c4c4
}

.inbox_msg {
    border: 1px solid #c4c4c4;
    clear: both;
    overflow: hidden
}

.top_spac {
    margin: 20px 0 0
}

.recent_heading {
    float: left;
    width: 40%
}

.srch_bar {
    display: inline-block;
    text-align: right;
    width: 60%
}

.headind_srch {
    padding: 10px 29px 10px 20px;
    overflow: hidden;
    border-bottom: 1px solid #c4c4c4
}

.recent_heading h4 {
    color: #05728f;
    font-size: 21px;
    margin: auto
}

.srch_bar input {
    border: 1px solid #cdcdcd;
    border-width: 0 0 1px 0;
    width: 80%;
    padding: 2px 0 4px 6px;
    background: 0 0
}

.srch_bar .input-group-addon button {
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border: medium none;
    padding: 0;
    color: #707070;
    font-size: 18px
}

.srch_bar .input-group-addon {
    margin: 0 0 0 -27px
}

.chat_ib h5 {
    font-size: 15px;
    color: #464646;
    margin: 0 0 8px 0
}

.chat_ib h5 span {
    font-size: 13px;
    float: right
}

.chat_ib p {
    font-size: 14px;
    color: #989898;
    margin: auto
}

.chat_img {
    float: left;
    width: 11%
}

.chat_ib {
    float: left;
    padding: 0 0 0 15px;
    width: 88%
}

.chat_people {
    overflow: hidden;
    clear: both
}

.chat_list {
    border-bottom: 1px solid #c4c4c4;
    margin: 0;
    padding: 18px 16px 10px
}

.inbox_chat {
    height: 550px;
    overflow-y: scroll
}

.active_chat {
    background: #ebebeb
}

.incoming_msg_img {
    display: inline-block;
    width: 40px;
    margin-top: 10px
}

.received_msg {
    display: inline-block;
    padding: 0 0 0 1px;
    vertical-align: top;
    width: 85%
}

.received_withd_msg p {
    background: #ebebeb none repeat scroll 0 0;
    border-radius: 3px;
    color: #646464;
    font-size: 16px;
    margin: 0;
    padding: 5px 10px 5px 12px;
    width: 100%
}

.time_date {
    color: #747474;
    display: block;
    font-size: 12px;
    margin: 1px 0 0
}

.received_withd_msg {
    width: 57%;
    margin-bottom: 5px
}

.mesgs {
    float: left;
    width: 100%
}

.sent_msg p {
    background: #593196 none repeat scroll 0 0;
    border-radius: 3px;
    font-size: 16px;
    margin: 0;
    color: #fff;
    padding: 5px 10px 5px 12px;
    width: 100%
}

.outgoing_msg {
    overflow: hidden;
    margin: 0 0 5px
}

.sent_msg {
    float: right;
    width: 50%;
    margin: 5px
}

@media only screen and (max-width:700px) {
    .sent_msg {
        width: 70%
    }
    .received_withd_msg {
        width: 70%
    }
}

@media only screen and (max-width:764px) {
    .received_withd_msg {
        width: 100%
    }
}

.input_msg_write input {
    background: #f0f4f7 none repeat scroll 0 0;
    border: medium none;
    color: #4c4c4c;
    font-size: 15px;
    min-height: 48px;
    width: 100%;
    border-radius: 50px;
    padding-left: 20px
}

.input_msg_write input:focus,
.input_msg_write:focus {
    outline: 0
}

.incoming_msg_img img {
    max-width: 100%;
    cursor: pointer
}

.type_msg {
    position: relative
}

nav.navbar.fixed-top {
    max-height: 100%;
    overflow-y: auto
}

@media (min-width:992px) {
    nav.navbar.fixed-top {
        overflow-y: visible
    }
}

.msg_send_btn {
    background: #ff5d63 none repeat scroll 0 0;
    border: medium none;
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    font-size: 17px;
    height: 40px;
    position: absolute;
    right: 5px;
    top: 4px;
    width: 40px
}

.messaging {
    padding: 0 0 50px 0
}

.msg_history {
    height: 516px;
    overflow-y: auto
}

.icon-tool {
    cursor: pointer
}

.number {
    background-color: #007bff;
    padding: 5px;
    text-align: center;
    margin: 5px 0;
    font-size: 20px;
    color: #fff;
    cursor: pointer;
    width: 60px;
    height: 60px;
    line-height: 50px;
    border-radius: 2px
}

.selected {
    pointer-events: none;
    cursor: not-allowed
}

@media only screen and (max-width:450px) {
    .col-md-1 {
        padding-right: 0;
        padding-left: 0
    }
    .number {
        padding: 0;
        margin: 2px;
        font-size: 20px;
        width: 30px;
        height: 30px;
        line-height: normal
    }
}

.mt-5 {
    margin-top: 5rem !important
}

.back-to-top {
    position: fixed;
    bottom: 25px;
    right: 25px;
    display: none;
    color: #fff
}

.pace {
    -webkit-pointer-events: none;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none
}

.pace-inactive {
    display: none
}

.pace .pace-progress {
    background: #29d;
    position: fixed;
    z-index: 2000;
    top: 0;
    right: 100%;
    width: 100%;
    height: 2px
}

.pace .pace-progress-inner {
    display: block;
    position: absolute;
    right: 0;
    width: 100px;
    height: 100%;
    box-shadow: 0 0 10px #29d, 0 0 5px #29d;
    opacity: 1;
    -webkit-transform: rotate(3deg) translate(0, -4px);
    -moz-transform: rotate(3deg) translate(0, -4px);
    -ms-transform: rotate(3deg) translate(0, -4px);
    -o-transform: rotate(3deg) translate(0, -4px);
    transform: rotate(3deg) translate(0, -4px)
}

.pace .pace-activity {
    display: block;
    position: fixed;
    z-index: 2000;
    top: 15px;
    right: 15px;
    width: 14px;
    height: 14px;
    border: solid 2px transparent;
    border-top-color: #fff;
    border-left-color: #fff;
    border-radius: 10px;
    -webkit-animation: pace-spinner .4s linear infinite;
    -moz-animation: pace-spinner .4s linear infinite;
    -ms-animation: pace-spinner .4s linear infinite;
    -o-animation: pace-spinner .4s linear infinite;
    animation: pace-spinner .4s linear infinite
}

@-webkit-keyframes pace-spinner {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0)
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@-moz-keyframes pace-spinner {
    0% {
        -moz-transform: rotate(0);
        transform: rotate(0)
    }
    100% {
        -moz-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@-o-keyframes pace-spinner {
    0% {
        -o-transform: rotate(0);
        transform: rotate(0)
    }
    100% {
        -o-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@-ms-keyframes pace-spinner {
    0% {
        -ms-transform: rotate(0);
        transform: rotate(0)
    }
    100% {
        -ms-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@keyframes pace-spinner {
    0% {
        transform: rotate(0);
        transform: rotate(0)
    }
    100% {
        transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@media (min-width:992px) {
    .modal-lg {
        max-width: 800px
    }
}

.img-logo {
    width: 100%;
    margin-top: 20px
}

@media (min-width:500px) {
    .img-logo {
        width: 100%;
        margin-top: 40px
    }
}

@media (min-width:500px) {
    .col-md-3 {
        width: 50%;
        margin-top: 20px
    }
}

.reward-card-title {
    border-bottom: 1px solid rgba(0, 0, 0, .1);
    padding: .3rem;
    color: #fff
}

.flip-coin {
    background-color: transparent;
    width: 300px;
    height: 300px;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    transform-style: preserve-3d
}

.flip-coin-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform .6s;
    transform-style: preserve-3d;
    transform: rotateY(0)
}

.flip-coin-back,
.flip-coin-front {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    -o-backface-visibility: hidden;
    backface-visibility: hidden
}

.flip-coin-back {
    transform: rotateY(180deg)
}

.flip-coin img {
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
    user-drag: none
}

.nav-game {
    border: 1px solid transparent
}

.nav-pills .nav-link {
    border-radius: 0
}

.media-body h5 {
    line-height: 1
}

.btn_c {
    padding-right: 5px;
    padding-left: 5px
}

.h-flip-coin {
    background-color: transparent;
    width: 100%;
    -webkit-perspective: 500px;
    perspective: 500px;
    transform-style: preserve-3d
}

.h-flip-coin-inner {
    position: relative;
    text-align: center;
    transition: transform .6s;
    transform-style: preserve-3d;
    transform: rotateY(0);
    width: 100%
}

.flip-coin-back,
.h-flip-coin-front {
    position: absolute;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    -o-backface-visibility: hidden;
    backface-visibility: hidden
}

.h-flip-coin-back {
    transform: rotateY(180deg);
    width: 100%
}

.h-flip-coin img {
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
    user-drag: none
}

.navbar-b {
    background-color: #303030;
    border-top: 3px solid #4e4e4e;
    display: none;
    color: #fff
}

.bg-navbar {
    background-color: #282828 !important;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .1);
}

.navbar {
    padding: 0 10px 0
}

.navbar-toggler {
    padding: 6px
}

.custom-toggler .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255, 92, 98)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E")
}

.navbar-dark .navbar-nav .active>.nav-link,
.navbar-dark .navbar-nav .nav-link.active,
.navbar-dark .navbar-nav .nav-link.show,
.navbar-dark .navbar-nav .show>.nav-link {
    color: #3d4051;
    border-bottom: 3px solid #0f8a5f
}

.hr-nav {
    border-right: 1px solid #dfe5eb;
    padding-right: 5px;
    padding-left: 5px
}

.dropdown-menu {
    right: 0;
    left: auto;
    border: 0;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .1);
    margin: 10px 0 0
}

.table-warning tbody+tbody,
.table-warning td,
.table-warning th,
.table-warning thead th {
    border-color: #eff3f7
}

.table-warning,
.table-warning>td,
.table-warning>th {
    background-color: #f9fafb
}

.m-nav {
    padding-right: 5px
}

.nav-item-dropdown {
    color: #3d4051;
    display: block;
    padding: 0
}

.card-header {
    background-color: #fff;
    border: 0
}

.notification-bell {
    padding: 0
}

.btn-s {
    box-shadow: 0 2px 12px -6px #cc292f !important
}

.btn-d {
    box-shadow: 0 2px 12px -6px #343a40 !important
}

.nav-item-dropdown {
    color: #3d4051;
    display: block
}

.nav-item-dropdown:hover {
    color: #3d4051
}

.navbar-dark .navbar-nav .nav-link {
    color: #3d4051
}

.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link:hover {
    color: #3d4051;
    border-bottom: 3px solid #0f8a5f
}

.navbar-dark .navbar-brand {
    color: #3d4051
}

.btn-danger {
    color: #fff;
    background-color: #ff5c62;
}

.btn-danger:hover {
    background-color: #ff2931;
    border-color: #ff2931;
    opacity: .9
}

.btn-outline-danger {
    color: #ff5c62;
    border-color: #ff5c62
}

.btn-outline-danger:hover {
    color: #fff;
    background-color: #ff2931;
    border-color: #ff2931;
    opacity: .9
}

.btn-outline-pheat {
    color: #033c73;
    border-color: #033c73
}

.btn-outline-pheat:hover {
    color: #fff;
    background-color: #013566;
    border-color: #013566;
    opacity: .9
}

.btn-outline-pheatsuccess {
    color: #73a839;
    border-color: #73a839
}

.btn-outline-pheatsuccess:hover {
    color: #fff;
    background-color: #73a839;
    border-color: #73a839;
    opacity: .9
}

.nav-logo {
    width: 150px;
}

.btn {
    transition: all .3s;
    border-radius: 2px
}

.navbar-toggler:focus,
.navbar-toggler:hover {
    box-shadow: none !important;
    outline: 0 !important
}

.form-control {
    border: solid 2px rgb(118 118 118);
}

.custom-control-input:checked~.custom-control-label::before {
    border-color: #343a40;
    background-color: #343a40;
    outline-color: #343a40
}

.custom-control-input:focus {
    outline-color: #343a40;
    box-shadow: none !important
}

.custom-checkbox .custom-control-label::before {
    border-radius: 2px
}

.text-grey {
    color: #6f7c81
}

.btn-facebook {
    color: #fff;
    background-color: #4267b2;
    border-color: #4267b2;
    box-shadow: 0 2px 12px -6px #4267b2 !important
}

.btn-red {
    color: #fff;
    background-color: #ff5e64 !important;
    box-shadow: 0 2px 12px -6px #ff5e64 !important;
    border-color: #ff5e64 !important
}

.btn-red:hover {
    color: #fff;
    background-color: #ec5257 !important;
    border-color: #ec5257 !important
}

.btn-pheat {
    color: #fff;
    background-color: #034485;
    border-color: #034485;
    box-shadow: 0 2px 12px -6px #034485 !important
}

.btn-pheatwarning {
    color: #fff;
    background-color: #ff7518;
    border-color: #ff7518;
    box-shadow: 0 2px 12px -6px #ff7518 !important
}

.btn-pheatdanger {
    color: #fff;
    background-color: #ff0039;
    border-color: #ff0039;
    box-shadow: 0 2px 12px -6px #ff0039 !important
}

.btn-pheatinfo {
    color: #fff;
    background-color: #9954bb;
    border-color: #9954bb;
    box-shadow: 0 2px 12px -6px #9954bb !important
}

.btn-pheatprimary {
    color: #fff;
    background-color: #2780e3;
    border-color: #2780e3;
    box-shadow: 0 2px 12px -6px #2780e3 !important
}

.btn-dark {
    box-shadow: 0 2px 12px -6px #343a40 !important
}

.btn-warning {
    box-shadow: 0 2px 12px -6px #ffc107 !important
}

.btn-success {
    box-shadow: 0 2px 12px -6px #28a745 !important
}

.btn-primary {
    box-shadow: 0 2px 12px -6px #007bff !important
}

.btn-facebook:hover {
    background-color: #375592;
    border-color: #375592;
    color: #fff
}

.btn-pheat:hover {
    background-color: #012f5c;
    border-color: #012f5c;
    color: #fff
}

.btn-pheatwarning:hover {
    background-color: #f16100;
    border-color: #e45c00;
    color: #fff
}

.btn-pheatdanger:hover {
    background-color: #d90030;
    border-color: #cc002e;
    color: #fff
}

.btn-pheatinfo:hover {
    background-color: #8542a7;
    border-color: #7e3f9d;
    color: #fff
}

.btn-pheatprimary:hover {
    background-color: #1a6dca;
    border-color: #1967be;
    color: #fff
}

.btn-danger {
    box-shadow: 0 2px 12px -6px #cc292f !important;
}

.navbar-dark .navbar-nav .nav-link {
    border-bottom: 3px solid transparent
}

.badge-danger {
    background-color: #ff5c62
}

.forgot-password a {
    color: #ff5c62
}

.dropdown-toggle::after {
    display: inline-block;
    vertical-align: 0;
    content: "\f078";
    margin: 0;
    border: 0;
    font: normal normal normal 14px/1 FontAwesome
}

.dropdown-toggle[aria-expanded=true]::after {
    content: "\f077"
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #0f8a5f
}

.border-danger {
    border-color: #ff5d63 !important
}

.bg-danger {
    background-color: #ff5d63 !important
}

.text-danger {
    color: #ff5d63 !important
}

.num-bg {
    box-shadow: 0 2px 12px -6px #cc292f !important
}

@media screen and (max-width:990px) {
    .navbar-dark .navbar-nav .nav-link:focus,
    .navbar-dark .navbar-nav .nav-link:hover {
        border: 0
    }
    .navbar-dark .navbar-nav .active>.nav-link,
    .navbar-dark .navbar-nav .nav-link.active,
    .navbar-dark .navbar-nav .nav-link.show,
    .navbar-dark .navbar-nav .show>.nav-link {
        border: 0
    }
    .hr-nav {
        border: 0;
        border-bottom: 1px solid #eee
    }
    .navbar-dark .navbar-nav .nav-link {
        border: 0
    }
}

@media all and (max-width:480px) {
    .custom-btn {
        width: 100%;
        display: block;
        margin: 5px 0
    }
}

.icon-bar {
    width: 22px;
    height: 2px;
    background-color: #0f8a5f;
    display: block;
    transition: all .2s;
    margin-top: 4px
}

.navbar-toggler {
    border: none;
    background: 0 0 !important
}

.navbar-toggler .top-bar {
    transform: rotate(45deg);
    transform-origin: 10% 10%
}

.navbar-toggler .middle-bar {
    opacity: 0
}

.navbar-toggler .bottom-bar {
    transform: rotate(-45deg);
    transform-origin: 10% 90%
}

.navbar-toggler.collapsed .top-bar {
    transform: rotate(0)
}

.navbar-toggler.collapsed .middle-bar {
    opacity: 1
}

.navbar-toggler.collapsed .bottom-bar {
    transform: rotate(0)
}

.card {
    border: 0;
    border-radius: 6px;
}

.card-header {
    font-size: 15.5px
}

#result_message {
    font-size: 20px;
    font-weight: 700
}

.buy-item {
    font-weight: 700
}

.modal-content {
    border: none;
    border-radius: .3125em
}

.modal-backdrop.show {
    opacity: 1
}

.modal-backdrop {
    background: rgba(0, 0, 0, .4)
}

.modal-open .modal {
    -webkit-animation: swal2-show .3s;
    animation: swal2-show .3s
}

.modal-open .modal {
    -webkit-animation: swal2-show .3s;
    animation: swal2-show .3s
}

.modal-open .modal:not(.show) {
    -webkit-animation: swal2-hide .3s;
    animation: swal2-hide .3s
}

.modal.fade .modal-dialog {
    transform: none
}

.modal-open {
    overflow: auto;
    padding-right: 0 !important
}

@-webkit-keyframes swal2-show {
    0% {
        -webkit-transform: scale(.7);
        transform: scale(.7)
    }
    45% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05)
    }
    80% {
        -webkit-transform: scale(.95);
        transform: scale(.95)
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@keyframes swal2-show {
    0% {
        -webkit-transform: scale(.7);
        transform: scale(.7)
    }
    45% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05)
    }
    80% {
        -webkit-transform: scale(.95);
        transform: scale(.95)
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@-webkit-keyframes swal2-hide {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
    100% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
}

@keyframes swal2-hide {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
    100% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
}

.path {
    stroke-dasharray: 1000;
    stroke-dashoffset: 0
}

.path.circle {
    -webkit-animation: dash .9s ease-in-out;
    animation: dash .9s ease-in-out
}

.path.line {
    stroke-dashoffset: 1000;
    -webkit-animation: dash .9s .35s ease-in-out forwards;
    animation: dash .9s .35s ease-in-out forwards
}

.path.check {
    stroke-dashoffset: -100;
    -webkit-animation: dash-check .9s .35s ease-in-out forwards;
    animation: dash-check .9s .35s ease-in-out forwards
}

@-webkit-keyframes dash {
    0% {
        stroke-dashoffset: 1000
    }
    100% {
        stroke-dashoffset: 0
    }
}

@keyframes dash {
    0% {
        stroke-dashoffset: 1000
    }
    100% {
        stroke-dashoffset: 0
    }
}

@-webkit-keyframes dash-check {
    0% {
        stroke-dashoffset: -100
    }
    100% {
        stroke-dashoffset: 900
    }
}

@keyframes dash-check {
    0% {
        stroke-dashoffset: -100
    }
    100% {
        stroke-dashoffset: 900
    }
}

.nav-shop {
    border: 1px solid transparent
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: #0f8a5f
}

.nav-pills a {
    color: #0f8a5f
}

.spinner-border {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    border: 6px solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite
}

.breadcrumb {
    background-color: #fff;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .1)
}

.snowflake {
    color: #fff;
    font-size: 1em;
    font-family: Arial;
    text-shadow: 0 0 1px #000
}

@-webkit-keyframes snowflakes-fall {
    0% {
        top: -10%
    }
    100% {
        top: 100%
    }
}

@-webkit-keyframes snowflakes-shake {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    50% {
        -webkit-transform: translateX(80px);
        transform: translateX(80px)
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes snowflakes-fall {
    0% {
        top: -10%
    }
    100% {
        top: 100%
    }
}

@keyframes snowflakes-shake {
    0% {
        transform: translateX(0)
    }
    50% {
        transform: translateX(80px)
    }
    100% {
        transform: translateX(0)
    }
}

.snowflake {
    position: fixed;
    top: -10%;
    z-index: 9999;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
    -webkit-animation-name: snowflakes-fall, snowflakes-shake;
    -webkit-animation-duration: 10s, 3s;
    -webkit-animation-timing-function: linear, ease-in-out;
    -webkit-animation-iteration-count: infinite, infinite;
    -webkit-animation-play-state: running, running;
    animation-name: snowflakes-fall, snowflakes-shake;
    animation-duration: 10s, 3s;
    animation-timing-function: linear, ease-in-out;
    animation-iteration-count: infinite, infinite;
    animation-play-state: running, running
}

.snowflake:nth-of-type(0) {
    left: 1%;
    -webkit-animation-delay: 0s, 0s;
    animation-delay: 0s, 0s
}

.snowflake:nth-of-type(1) {
    left: 10%;
    -webkit-animation-delay: 1s, 1s;
    animation-delay: 1s, 1s
}

.snowflake:nth-of-type(2) {
    left: 20%;
    -webkit-animation-delay: 6s, .5s;
    animation-delay: 6s, .5s
}

.snowflake:nth-of-type(3) {
    left: 30%;
    -webkit-animation-delay: 4s, 2s;
    animation-delay: 4s, 2s
}

.snowflake:nth-of-type(4) {
    left: 40%;
    -webkit-animation-delay: 2s, 2s;
    animation-delay: 2s, 2s
}

.snowflake:nth-of-type(5) {
    left: 50%;
    -webkit-animation-delay: 8s, 3s;
    animation-delay: 8s, 3s
}

.snowflake:nth-of-type(6) {
    left: 60%;
    -webkit-animation-delay: 6s, 2s;
    animation-delay: 6s, 2s
}

.snowflake:nth-of-type(7) {
    left: 70%;
    -webkit-animation-delay: 2.5s, 1s;
    animation-delay: 2.5s, 1s
}

.snowflake:nth-of-type(8) {
    left: 80%;
    -webkit-animation-delay: 1s, 0s;
    animation-delay: 1s, 0s
}

.snowflake:nth-of-type(9) {
    right: 90%;
    -webkit-animation-delay: 3s, 1.5s;
    animation-delay: 3s, 1.5s
}

.snowflake:nth-of-type(10) {
    right: 80%;
    -webkit-animation-delay: 3s, 1.5s;
    animation-delay: 3s, 1.5s
}

.snowflake:nth-of-type(11) {
    right: 70%;
    -webkit-animation-delay: 1s, 0s;
    animation-delay: 1s, 0s
}

.snowflake:nth-of-type(12) {
    right: 60%;
    -webkit-animation-delay: 6s, 2s;
    animation-delay: 6s, 2s
}

.snowflake:nth-of-type(13) {
    right: 50%;
    -webkit-animation-delay: 8s, 3s;
    animation-delay: 8s, 3s
}

.snowflake:nth-of-type(14) {
    right: 35%;
    -webkit-animation-delay: 2s, 2s;
    animation-delay: 2s, 2s
}

.nav-menu {
    width: 100%;
    background-color: #fff;
    text-align: center;
    overflow: hidden;
    padding: 5px 0
}

.nav-bottom {
    box-shadow: 4px 0 10px 5px rgba(0, 0, 0, .1)
}

.nav-menu a {
    color: #343a40
}

.nav-menu.active a {
    color: #fff
}

.nav-menu.active {
    background: #303030
}

@media (min-width:992px) {
    .nav-bottom {
        display: none !important
    }
}

.progress {
    text-align: center
}

.progress-value {
    position: absolute;
    right: 0;
    left: 0;
    color: var(--gray-dark);
    white-space: nowrap;
    font-weight: 700;
    margin-top: -1.5px;
}

.inbox-notify-icon {
    padding: 0px 3px 3px 3px;
    position: absolute;
    margin-left: -7px;
    margin-top: -3px;
    font-size: 11px;
    font-family: Sarabun, sans-serif;
}

.reward-card {
    width: 50%;
}

.badge-vip {
    color: #ffffff;
    background-color: #743bff;
    box-shadow: 0px 0px 5px #743bff;
}

.roller .er-item {
    width: 180px;
    height: 180px;
    font-size: 14px;
    padding: 5px;
}

.roller .er-item img {
    background: radial-gradient(circle, #4e4e4e 0%, #2b2b2b 70%);
}

.progress {
    border-radius: 25px;
}

.grayscale {
    filter: grayscale(100%);
}